writeCdfHeader {affxparser} | R Documentation

## Writes a CDF header

### Description

Writes a CDF header. This method is not indended to be used explicitly. To write a CDF, use `writeCdf`() instead.

### Usage

    writeCdfHeader(con, cdfHeader, unitNames, qcUnitLengths, unitLengths, verbose=0)

### Arguments

`con` | An open `connection` to which nothing has been written.
`cdfHeader` | A CDF header `list` structure.
`unitNames` | A `character` `vector` of all unit names.
`qcUnitLengths` | An `integer` `vector` of all the number of bytes in each of the QC units.
`unitLengths` | An `integer` `vector` of all the number of bytes in each of the (ordinary) units.
`verbose` | An `integer` specifying how much verbose details are outputted.

### Value

Returns nothing.

### Author(s)

Henrik Bengtsson (http://www.braju.com/R/)

### See Also

This method is called by `writeCdf`(). See also `writeCdfQcUnits`() and `writeCdfUnits`().

[Package affxparser version 1.10.2 Index]